aboutsummaryrefslogtreecommitdiffstats
path: root/x11/rdesktop/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-15 18:32:50 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-15 18:32:50 +0000
commita9cbebd20b042850bc34c790a236c46c86cc42b6 (patch)
tree59acbf0ed9c174cbd961ce22119ca761399f5eae /x11/rdesktop/APKBUILD
parent6846a1a22fc2266ff4cc4fd163a0f88dcd5e6f02 (diff)
downloadaports-a9cbebd20b042850bc34c790a236c46c86cc42b6.tar.gz
aports-a9cbebd20b042850bc34c790a236c46c86cc42b6.tar.bz2
aports-a9cbebd20b042850bc34c790a236c46c86cc42b6.tar.xz
x11/rdesktop: new aport
rdesktop is used to connect to windows terminal servers http://www.rdesktop.org/
Diffstat (limited to 'x11/rdesktop/APKBUILD')
-rw-r--r--x11/rdesktop/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/x11/rdesktop/APKBUILD b/x11/rdesktop/APKBUILD
new file mode 100644
index 0000000000..49f61730c6
--- /dev/null
+++ b/x11/rdesktop/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=rdesktop
+pkgver=1.6.0
+pkgrel=0
+pkgdesc="rdesktop is used to connect to windows terminal servers"
+url="http://www.rdesktop.org/"
+license="GPL"
+subpackages="$pkgname-doc"
+depends="libX11 openssl libao libsamplerate"
+makedepends="libX11-dev libao-dev openssl-dev libsamplerate-dev"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --with-sound=ao
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+md5sums="c6fcbed7f0ad7e60ac5fcb2d324d8b16 rdesktop-1.6.0.tar.gz"